Bug 621679 - [abrt] libpurple-2.6.6-4.el6: urllib.py:1183:unquote_plus:AttributeError: 'NoneType' object has no attribute 'replace'
[abrt] libpurple-2.6.6-4.el6: urllib.py:1183:unquote_plus:AttributeError: 'No...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pidgin (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
abrt_hash:7da028a5
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 15:41 EDT by Mike Khusid
Modified: 2016-08-01 05:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (577 bytes, text/plain)
2010-08-05 15:41 EDT, Mike Khusid
no flags Details

  None (edit)
Description Mike Khusid 2010-08-05 15:41:28 EDT
abrt version: 1.1.10
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/purple-url-handler irc:mkhusid
component: pidgin
executable: /usr/bin/purple-url-handler
kernel: 2.6.32-52.el6.x86_64
package: libpurple-2.6.6-4.el6
reason: urllib.py:1183:unquote_plus:AttributeError: 'NoneType' object has no attribute 'replace'
release: Red Hat Enterprise Linux Workstation release 6.0 Beta (Santiago)
time: 1281037062
uid: 500

backtrace
-----
urllib.py:1183:unquote_plus:AttributeError: 'NoneType' object has no attribute 'replace'

Traceback (most recent call last):
  File "/usr/bin/purple-url-handler", line 394, in <module>
    main()
  File "/usr/bin/purple-url-handler", line 374, in main
    irc(uri)
  File "/usr/bin/purple-url-handler", line 190, in irc
    server = urllib.unquote_plus(match.group(2)) or ""
  File "/usr/lib64/python2.6/urllib.py", line 1183, in unquote_plus
    s = s.replace('+', ' ')
AttributeError: 'NoneType' object has no attribute 'replace'

Local variables in innermost frame:
s: None

How to reproduce
-----
1. Click on uri   irc:username in Firefox
2. Click on default choice, purple-url-handler
Comment 1 Mike Khusid 2010-08-05 15:41:30 EDT
Created attachment 436956 [details]
File: backtrace
Comment 3 RHEL Product and Program Management 2010-08-05 16:07:33 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 RHEL Product and Program Management 2010-08-18 17:22:16 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Red Hat Enterprise Linux. Unfortunately, we
are unable to address this request in the current release. Because we
are in the final stage of Red Hat Enterprise Linux 6 development, only
significant, release-blocking issues involving serious regressions and
data corruption can be considered.

If you believe this issue meets the release blocking criteria as
defined and communicated to you by your Red Hat Support representative,
please ask your representative to file this issue as a blocker for the
current release. Otherwise, ask that it be evaluated for inclusion in
the next minor release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2011-04-03 21:52:34 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.